% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pitchTrackers.R
\name{getDom}
\alias{getDom}
\title{Get lowest dominant frequency band}
\usage{
getDom(frame, bin, freqs, domSmooth, domThres, pitchFloor, pitchCeiling)
}
\arguments{
\item{frame}{the abs spectrum of a frame, as returned by
\code{\link[stats]{fft}}}

\item{bin}{spectrogram bin width, Hz}

\item{freqs}{frequency per bin of spectrogram}

\item{domSmooth}{the width of smoothing interval (Hz) for finding
\code{dom}}

\item{domThres}{(0 to 1) to find the lowest dominant frequency band, we
do short-term FFT and take the lowest frequency with amplitude at least
domThres}

\item{pitchFloor, pitchCeiling}{absolute bounds for pitch candidates (Hz)}
}
\value{
Returns a list of $dom (NA or numeric) and $dom_array
  (either NULL or a dataframe of pitch candidates).
}
\description{
Internal soundgen function.
}
\details{
Calculate the lowest frequency band in the spectrum above pitchFloor whose
amplitude exceeds a certain threshold.
}
\keyword{internal}
